#ifndef MANAGEPROGRAM_H
#define MANAGEPROGRAM_H

#include "parameterManager.h"
#include "pageManager.h"
#include "accountManager.h"
#include <unistd.h>

class ProgramManager
{
public:
    ProgramManager();
    ~ProgramManager();
    int start(Settings setting);

private:
    int defaultModus(Settings * settings);
    int directLinkModus(Settings * settings);
    int searchModus(Settings * settings);
    int searchModus_update(Settings * settings);


    PageManager pageManager;


    int convertLink(std::string redirectLink, AccountManager *accountManager, Settings * settings, int Staffel = -1, int Folge = -1, std::string allLinks = "NOT_EMPTY");

};

#endif // MANAGEPROGRAM_H
