#ifndef MANAGEPROGRAM_H
#define MANAGEPROGRAM_H

#include "parameterManager.h"
#include "pageManager.h"
#include "accountManager.h"
#include <unistd.h>

#include <sys/types.h>
#include <dirent.h>

class ProgramManager
{
public:
    ProgramManager();
    ~ProgramManager();
    int start(Settings setting);
    int listDir(std::string &list, std::string path, int maxDepth);

private:
    int defaultModus(Settings * settings);
    int directLinkModus(Settings * settings);
    int searchModus(Settings * settings);

    PageManager pageManager;

    int convertLink(std::string redirectLink, AccountManager *accountManager, Settings * settings, int Staffel = -1, int Folge = -1, std::string allLinks = "NOT_EMPTY");
    int searchModus_update(Settings * settings);

};

#endif // MANAGEPROGRAM_H
